package org.ntlab.radishforandroidstudio.cactusClient;

import android.accounts.Account;
import android.app.Activity;
import android.app.Application;
import android.os.Bundle;

public class Cactus extends Application {

    private Account myAccount = null;

    public Cactus() {

        registerActivityLifecycleCallbacks(new ActivityLifecycleCallbacks() {
            @Override
            public void onActivityCreated(Activity activity, Bundle savedInstanceState) {

            }

            @Override
            public void onActivityStarted(Activity activity) {


            }

            @Override
            public void onActivityResumed(Activity activity) {

            }

            @Override
            public void onActivityPaused(Activity activity) {

            }

            @Override
            public void onActivityStopped(Activity activity) {

            }

            @Override
            public void onActivitySaveInstanceState(Activity activity, Bundle outState) {

            }

            @Override
            public void onActivityDestroyed(Activity activity) {

            }
        });
    }

    //MyAccountの追加
    public Account getMyAccount(){
        return myAccount;
    }

    public void setMyAccount(Account ac){
        myAccount = ac;
    }

}


